Respond to scroll events in music DOM, and handle the scroll of the viewport

### Hierarchy

- SuiScroller

## Index

### Constructors

- constructor

### Methods

- scrollVisibleBox

## Constructors

### constructor

- new SuiScroller(selector: HTMLElement, svgPages: SvgPageMap): SuiScroller

- - Defined in src/render/sui/scroller.ts:25

  #### Parameters

  - ##### selector: HTMLElement

  - ##### svgPages: SvgPageMap

  #### Returns SuiScroller

## Methods

### scrollVisibleBox

- scrollVisibleBox(box: SvgBox): void

- - Defined in src/render/sui/scroller.ts:71

  Scroll such that the box is fully visible, if possible (if it is not larger than the screen)

  #### Parameters

  - ##### box: SvgBox

  #### Returns void

Generated using TypeDoc